{
    onTryBoost(boost, target, source, effect) {
      if (effect.name === "Sticky Web") {
        return false;
      }
    },
    onDamage(damage, target, source, effect) {
      if (effect && effect.id === "stealthrock") {
        return false;
      }
      if (effect && effect.id === "spikes") {
        return false;
      }
      if (effect && effect.id === "gmaxsteelsurge") {
        return false;
      }
      if (effect && effect.id === "icespikes") {
        return false;
      }
      if (effect && effect.id === "echoshards") {
        return false;
      }
      if (effect && effect.id === "shockbomb") {
        return false;
      }
    },
    onSetStatus(status, target, source, effect) {
      if (effect && effect.id === "toxicspikes") {
        return false;
      }
      if (effect && effect.id === "livewire") {
        return false;
      }
    },
    flags: {},
    name: "Long Legs",
    rating: 2.5,
    num: -32053
}